 
/*
 * Creaci d'un tablespace per les dades. Ubicaci on s'emmagatzemaran els 
 * objectes de l'esquema.
 */

CREATE TABLESPACE "MAM_TFC_UOC" LOGGING
DATAFILE 'c:/oraclexe/app/oracle/oradata/XE/MAM_TFC_UOC.dbf' SIZE 1024M
EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO;

/*
 * Creaci d'un usuari que va a treballar sobre aquest tablespace i que sigui 
 * el propietari dels objectes de l'esquema.
 */

CREATE USER User_UOC IDENTIFIED BY "uoc2012TFC"
DEFAULT TABLESPACE "MAM_TFC_UOC"
TEMPORARY TABLESPACE "TEMP"
ACCOUNT UNLOCK ;

/*
 * Asignaci de permissos i privilegis  necessaris per l'usuari.
 */
 
GRANT CONNECT, RESOURCE TO User_UOC;
GRANT DBA TO User_UOC;
ALTER USER User_UOC QUOTA UNLIMITED ON MAM_TFC_UOC;

